Our Apps runs on any devices running Android and iOS operating system subjected to the support given by the OS provider.

  • Android phones
    We recommend any android devices running Android OS version 6.0 and above, app could still run on OS 4.4 & 5.0 but the hardware spec of those devices must be low and  old, therefore it take much longer time to process the data , and even not getting accurate GPS signal.
    Android OS 6.0 released two years ago, so any devices older than this is not recommended.

  • IOS phones
    You will need at least iphone 5S and above, any other model will not find the App in App store.